# Running on EVM and TON

As an L3 protocol, Orbs operates over existing leading L1 blockchains. Orbs supports two primary L1s - the Ethereum Virtual Machine (EVM) and The Open Network (TON). Orbs is designed for tight interoperability with smart contracts implemented over these blockchains and takes a very active role in their respective ecosystems.

## EVM

Ethereum was conceived in 2013 by Vitalik Buterin and launched in 2015.

Bitcoin’s immutable nature was never designed to be a platform for innovation. Ethereum covers this role and was the first to allow developers to harness blockchain for any app as a smart contract. Ethereum is the infrastructure for apps targeting power users.

Orbs supports all leading EVM flavors including Ethereum mainnet, Polygon, BNB chain, Avalanche, Fantom and more and smart contracts implemented in Solidity.

For more information about the EVM, see[ https://ethereum.org](https://ethereum.org/)

## TON

TON was conceived in 2018 by Telegram’s Durov brothers and launched in 2021.

If Ethereum targets power users, TON is the infrastructure for apps targeting the masses. Much like Telegram, it is mobile first, consumer oriented and built for the Internet scale of billions. If blockchain ever reaches the masses, it will likely be via TON.

Orbs supports TON mainnet and smart contracts implemented in FunC. Orbs is designed to complement TON's unique asynchronous nature and scale with TON to billions of users.

For more information about TON, see[ https://ton.org](https://ton.org/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/overview/running-on-evm-and-ton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
